# frozen_string_literal: true

require_relative 'lib/codebreaker/version'

Gem::Specification.new do |spec|
  spec.required_ruby_version = Gem::Requirement.new('>= 2.6.6')

  spec.name          = 'codebreaker_vk_vitaliy'
  spec.version       = Codebreaker::VERSION
  spec.summary       = 'Codebreaker game through user interaction'
  spec.authors       = ['Vitaliy Kashchin']
  spec.email         = 'vk.vital@gmail.com'
  spec.homepage      = 'https://github.com/vitalyk/codebreaker_vk_vitaliy'
  spec.license       = 'MIT'
  spec.require_paths = 'lib'

  spec.add_dependency 'faker', '~> 2.13'

  spec.add_development_dependency 'fasterer', '~> 0.8.3'
  spec.add_development_dependency 'pry', '~> 0.13.1'
  spec.add_development_dependency 'rake', '~> 13.0', '>= 13.0.1'
  spec.add_development_dependency 'rspec', '~> 3.9'
  spec.add_development_dependency 'rspec_junit_formatter', '~> 0.4.1'
  spec.add_development_dependency 'rubocop', '~> 0.87.1'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.42'
  spec.add_development_dependency 'simplecov', '~> 0.18.5'

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
end
